#include <bits/stdc++.h>
using namespace std;
string s,t;
struct slog {
int m,index;
};
int x;
int n[15];
slog d[15];
int br,brojac;
bool cmp(slog a, slog b) {
    return a.m>b.m;
}
bool tmp(slog a, slog b) {
    return a.m<b.m;
}
int main() {
    cin >> t >> s;
    br=0;
    brojac=0;
    for(int i=0; i<s.size(); i++) {
        n[i]=s[i];
    }
    memset(d,0,sizeof(d));
    for(int i=0; i<t.size(); i++) {

        if(t[i]==n[0]) {
            d[0].m++;
            d[0].index=0;
            if(d[0].m==1)
            br++;
            continue;
        }
        if(t[i]==n[1]) {
            d[1].m++;
            d[1].index=1;
            if(d[1].m==1)
            br++;
            continue;
        }
        if(t[i]==n[2]) {
            d[2].m++;
            d[2].index=2;
            if(d[2].m==1)
            br++;
            continue;
        }
        if(t[i]==n[3]) {
            d[3].m++;
            d[3].index=3;
            if(d[3].m==1)
            br++;
            continue;
        }
        if(t[i]==n[4]) {
            d[4].m++;
            d[4].index=4;
            if(d[4].m==1)
            br++;
            continue;
        }
        if(t[i]==n[5]) {
            d[5].m++;
            d[5].index=5;
            if(d[5].m==1)
            br++;
            continue;
        }
        if(t[i]==n[6]) {
            d[6].m++;
            d[6].index=6;
            if(d[6].m==1)
            br++;
            continue;
        }
        if(t[i]==n[7]) {
            d[7].m++;
            d[7].index=7;
            if(d[7].m==1)
            br++;
            continue;
        }
        if(t[i]==n[8]) {
            d[8].m++;
            d[8].index=8;
            if(d[8].m==1)
            br++;
            continue;
        }
        if(t[i]==n[9]) {
            d[9].m++;
            d[9].index=9;
            if(d[9].m==1)
            br++;
            continue;
        }
    }

    sort(d,d+10,cmp);

    sort(d,d+br,tmp);

    x=d[0].index;
    for(int i=0; i<t.size(); i++) {
        if(t[i]==n[x]) {
            t.replace(i,1,"*");
            brojac++;
        }

    }
    cout << brojac << endl;
    cout << t << endl;

    return 0;

}